tvbrowser.core.filters

## Interface FilterComponent

- All Known Implementing Classes:
    AbstractFilterComponent, AgeLimitFilterComponent, BeanShellFilterComponent, ChannelFilterComponent, DateFilterComponent, DayFilterComponent, FavoritesFilterComponent, KeywordFilterComponent, MassFilterComponent, PluginFilterComponent, PluginIconFilterComponent, PluginsFilterComponent, ProgramInfoFilterComponent, ProgramLengthFilterComponent, ProgramMarkingPriorityFilterComponent, ProgramRunningFilterComponent, ProgramTypeFilterComponent, ReminderFilterComponent, SingleChannelFilterComponent, SingleTitleFilterComponent, TimeFilterComponent

      public interface FilterComponent

  An interface for the program filter system of TV-Browser.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FilterComponent.NameComparator` comparator for filter components (comparing by name)
    `static class` | `FilterComponent.TypeComparator` comparator for filter components (comparing by string representation)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program program)` Checks a program if it is acceptable by the FilterComponent.
    `java.lang.String` | `getDescription()` Gets the description of a FilterComponent.
    `java.lang.String` | `getName()` Gets the name of a FilterComponent.
    `javax.swing.JPanel` | `getSettingsPanel()` Gets the settings panel for a FilterComponent.
    `java.lang.String` | `getTypeDescription()` Gets the description of a FilterComponent type.
    `int` | `getVersion()` Gets the version number of a FilterComponent.
    `void` | `read(java.io.ObjectInputStream in, int version)` Loads the settings of a FilterComponent from an ObjectInputStream.
    `void` | `saveSettings()` Is called when the settings should be saved (i.e. the users pressed the OK button in the settings dialog)
    `void` | `setDescription(java.lang.String desc)` Sets the description of a FilterComponent.
    `void` | `setName(java.lang.String name)` Sets the name of a FilterComponent.
    `void` | `write(java.io.ObjectOutputStream out)` Saves the settings of a FilterComponent to an ObjectOutputStream.

- - ### Method Detail

    - #### getVersion

          int getVersion()

      Gets the version number of a FilterComponent.
      Returns:
        The version number of a FilterComponent.

    - #### accept

          boolean accept(Program program)

      Checks a program if it is acceptable by the FilterComponent.
      Parameters:
        `program` - The program to check.
      Returns:
        `true` if the program is acceptable by the FilterComponent, `false` otherwise.

    - #### read

          void read(java.io.ObjectInputStream in,
                  int version)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

      Loads the settings of a FilterComponent from an ObjectInputStream.
      Parameters:
        `in` - The stream to read from.
        `version` - The version of the data.
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### write

          void write(java.io.ObjectOutputStream out)
                     throws java.io.IOException

      Saves the settings of a FilterComponent to an ObjectOutputStream.
      Parameters:
        `out` - The stream to write to.
      Throws:
        `java.io.IOException`

    - #### getSettingsPanel

          javax.swing.JPanel getSettingsPanel()

      Gets the settings panel for a FilterComponent.
      Returns:
        The settings panel the FilterComponent.

    - #### saveSettings

          void saveSettings()

      Is called when the settings should be saved (i.e. the users pressed the OK button in the settings dialog)

    - #### getName

          java.lang.String getName()

      Gets the name of a FilterComponent.
      Returns:
        The name of the FilterComponent.

    - #### getTypeDescription

          java.lang.String getTypeDescription()

      Gets the description of a FilterComponent type.
      Returns:
        The description of the FilterComponent type.
      Since:
        3.3.1

    - #### getDescription

          java.lang.String getDescription()

      Gets the description of a FilterComponent.
      Returns:
        The description of the FilterComponent.

    - #### setName

          void setName(java.lang.String name)

      Sets the name of a FilterComponent.
      Parameters:
        `name` - The new name of the FilterComponent.

    - #### setDescription

          void setDescription(java.lang.String desc)

      Sets the description of a FilterComponent.
      Parameters:
        `desc` - The new description of the FilterComponent.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)